%define name	grustibus
%define version	0.43
%define rel 9
%define release %mkrel %rel
%define distsuffix plf
#fixed2
%{?!mkrel:%define mkrel(c:) %{-c: 0.%{-c*}.}%{!?_with_unstable:%(perl -e '$_="%{1}";m/(.\*\\D\+)?(\\d+)$/;$rel=${2}-1;re;print "$1$rel";').%{?subrel:%subrel}%{!?subrel:1}.%{?distversion:%distversion}%{?!distversion:%(echo $[%{mdkversion}/10])}}%{?_with_unstable:%{1}}%{?distsuffix:%distsuffix}%{?!distsuffix:mdk}}

Release:	%release
Summary:	A Gnome frontend for mame
Name:     	%name
Version: 	%version
License:	GPL
Group:		Emulators
URL:		http://grustibus.sourceforge.net/
Source:		http://download.sourceforge.net/gRustibus/%{name}-%{version}.tar.bz2
Source1: %{name}-48x48.png
Source2: %{name}-32x32.png
Source3: %{name}-16x16.png
Patch: grustibus-0.43-xdg.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires: gnome-libs-devel
BuildRequires: libgdk-pixbuf-devel
#Requires: xmame

%description 
A frontend for the M.A.M.E. arcade emulator designed to run under the GNOME
desktop environment. Supported games are listed along with various information
about the game, including its status (installed, missing, incorrect etc).
Screenshots, flyer images and cabinet photos for the games can be shown. It
lets you configure your games using the gui.           

This package is in PLF because of Mandriva Linux policy forbidding
emulation softwares.

You must install xmame to use this program.
%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%patch -p1

%build

export CFLAGS="$RPM_OPT_FLAGS -I/usr/include/gdk-pixbuf-1.0"
export CXXFLAGS="$RPM_OPT_FLAGS -I/usr/include/gdk-pixbuf-1.0"

%configure --without-bonobo

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
%{find_lang} %{name}
#menu and icons
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/%{name} << EOF
?package(%{name}): section="More Applications/Emulators" title="Grustibus" longtitle="A Gnome frontend for M.A.M.E." icon="grustibus.png" needs="X11" command="grustibus" xdg="true"
EOF
mv %buildroot%{_datadir}/gnome/apps/ %buildroot%{_datadir}/applications/
mkdir -p $RPM_BUILD_ROOT{%{_iconsdir},%{_liconsdir},%{_miconsdir}}
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_liconsdir}/grustibus.png
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_iconsdir}/grustibus.png
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{_miconsdir}/grustibus.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %{name}.lang
%defattr(-, root, root)
%doc COPYING ChangeLog INSTALL NEWS README TODO BUGS
%config(noreplace) %{_sysconfdir}/gnome/config/gRustibus.d/*
%dir %{_sysconfdir}/gnome/config/gRustibus.d/
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/pixmaps/*
%{_menudir}/grustibus
%{_iconsdir}/grustibus.png
%{_liconsdir}/grustibus.png
%{_miconsdir}/grustibus.png

%changelog
* Mon Aug 28 2006 Gtz Waschk <goetz@zarb.org> 0.43-9plf2007.0
- xdg menu

* Mon Apr 24 2006 Götz Waschk <goetz@zarb.org> 0.43-8plf
- Rebuild

* Mon Apr 11 2005 Gtz Waschk <goetz@zarb.org> 0.43-7plf
- mkrel
- fix description
- drop dep on xmame

* Mon Sep 20 2004 Gtz Waschk <goetz@zarb.org> 0.43-6plf
- fix description
- fix buildrequires

* Wed Jul 16 2003 Gtz Waschk <goetz@plf.zarb.org> 0.43-5plf
- fix dir ownership

* Tue Jun  3 2003 Gtz Waschk <goetz@plf.zarb.org> 0.43-4plf
- fix buildrequires

* Fri Dec  6 2002 Gtz Waschk <waschk@informatik.uni-rostock.de> 0.43-3plf
- don't compress png icons
- plf version

* Fri Jun 14 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.43-3mdk
- fix gdk-pixbuf path
- png icons

* Tue Jul 24 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.43-2mdk
- rebuild

* Tue Jan 05 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.43-1mdk
- added in contribs by Gtz Waschk <waschk@linux-mandrake.com> :
	- initial Mandrake spec

